Transfer amount between virtual accounts
curl --request POST \
--url https://api.sandbox.trio.com.br/banking/cashout/transfer \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 100,
"description": "description Pix",
"external_id": "external_id",
"from_virtual_account_id": "1a760495-cb95-4023-96e8-0cff5776b010",
"to_virtual_account_id": "1a760495-cb95-4023-96e8-0cff5776b010"
}
'import requests
url = "https://api.sandbox.trio.com.br/banking/cashout/transfer"
payload = {
"amount": 100,
"description": "description Pix",
"external_id": "external_id",
"from_virtual_account_id": "1a760495-cb95-4023-96e8-0cff5776b010",
"to_virtual_account_id": "1a760495-cb95-4023-96e8-0cff5776b010"
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: 100,
description: 'description Pix',
external_id: 'external_id',
from_virtual_account_id: '1a760495-cb95-4023-96e8-0cff5776b010',
to_virtual_account_id: '1a760495-cb95-4023-96e8-0cff5776b010'
})
};
fetch('https://api.sandbox.trio.com.br/banking/cashout/transfer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"transfer_document_id": "41234d60-f6a9-4c9c-8cc3-5769ce9bbea2"
}
}{
"error": {
"error_code": "UNAUTHORIZED",
"error_message": "Invalid credentials"
}
}{
"errors": [
{
"detail": "null value where string expected",
"source": {
"pointer": "/data/attributes/petName"
},
"title": "Invalid value"
}
]
}{
"error": {
"error_code": "INTEGRATION_ERROR",
"error_message": "An unexpected issue occurred"
}
}Transfers
Transfer
Transfer amount between virtual accounts
POST
/
banking
/
cashout
/
transfer
Transfer amount between virtual accounts
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Body
application/json
The transfer attributes
Response
Transfer
Response schema for a single Pix generation
Show child attributes
Show child attributes
⌘I

